Subject: Gallup
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 27 Jun 2000 09:20:00 -0700 (PDT)

Attached please find a revised First Amendment Agreement which amends Section 
2 of the Flow of Funds memo to add a provision directing ECS to pay to ENA 
the extra $30,488 it was wired by ECHO, and adding a clause to Section 
3(a)(ii) to reflect that ECS is to use such extra wired amount to satisfy 
such obligation.   We trust this accommodates both ECS and ECHO, and hope to 
move forward with execution tomorrow (Wednesday 6/28).  Please contact us as 
soon as possible with any further comments and to coordinate execution.  
Regards, NJD